using System;
using System.ComponentModel;
using Dapfor.Net.Data;
using Dapfor.Net.Ui;

namespace Dapfor.Net.Demo.Examples.Features.FixedColumns
{
    /// <summary>
    /// The objects of this class will be inserted into the <see cref="Grid"/>. 
    /// </summary>
    public class DataObject 
    {
        #region Fields 

        private int value0;
        private int value1;
        private int value2;
        private int value3;
        private int value4;
        private int value5;
        private int value6;
        private int value7;
        private int value8;
        private int value9;

        #endregion

        #region Public properties

        public DataObject(Random r)
        {
            if(r != null)
            {
                value0 = r.Next() % 20;
                value1 = r.Next() % 100;
                value2 = r.Next() % 200;
                value3 = r.Next() % 400;
                value4 = r.Next() % 10; 
                value5 = r.Next() % 600;
                value6 = r.Next() % 15;
                value7 = r.Next() % 800;
                value8 = r.Next() % 900;
                value9 = r.Next() % 1000;
            }
        }

        [Field("Id0")]
        public int Value0
        {
            get { return value0; }
        }

        [Field("Id1")]
        public int Value1
        {
            get { return value1; }
        }

        [Field("Id2")]
        public int Value2
        {
            get { return value2; }
        }

        [Field("Id3")]
        public int Value3
        {
            get { return value3; }
        }

        [Field("Id4")]
        public int Value4
        {
            get { return value4; }
        }

        [Field("Id5")]
        public int Value5
        {
            get { return value5; }
        }

        [Field("Id6")]
        public int Value6
        {
            get { return value6; }
        }

        [Field("Id7")]
        public int Value7
        {
            get { return value7; }
        }

        [Field("Id8")]
        public int Value8
        {
            get { return value8; }
        }

        [Field("Id9")]
        public int Value9
        {
            get { return value9; }
        }

        #endregion
    }
}