using System;
using Dapfor.Net.Formats;

namespace Dapfor.Net.Demo.Examples.DataBinding.Populating
{
    public class ChildClass
    {
        private DateTime _date;
        private int _index;
        private TimeSpan _period;

        public ChildClass(DateTime date, int index, TimeSpan period)
        {
            _date = date;
            _index = index;
            _period = period;
        }

        [Format("yyyy-MM-dd")]
        public DateTime Date
        {
            get { return _date; }
            set { _date = value; }
        }

        public int Index
        {
            get { return _index; }
            set { _index = value; }
        }

        public TimeSpan Period
        {
            get { return _period; }
            set { _period = value; }
        }
    }
}