using Dapfor.Net.Data;
using Dapfor.Net.Formats;

namespace Dapfor.Net.Demo.Examples.Features.SharedData
{
    class BulletFormat : IFormat
    {
        public string Format(IDataField dataField)
        {
            switch ((int)dataField.Value)
            {
                case 0:
                    return "Grey";
                case 1:
                    return "Green";
                case 2:
                    return "Blue";
                case 3:
                    return "Yellow";
                case 4:
                    return "Red";
            }
            return string.Empty;
        }

        public bool CanParse(string text, IDataField dataField)
        {
            return false;
        }

        public void Parse(string text, IDataField dataField)
        { 
        }
    }
}
