using System.Windows.Forms;

namespace Dapfor.Net.Demo.Internal
{
    public class FlatTextBox : Label
    {
        public FlatTextBox()
        {
            SetStyle(ControlStyles.AllPaintingInWmPaint | ControlStyles.OptimizedDoubleBuffer, true);
        }

        protected override CreateParams CreateParams
        {
            get
            {
                CreateParams p = base.CreateParams;
                p.Style &= p.Style ^ 0x00800000; //WS_BORDER
                p.ExStyle = 0;

                return p;
            }
        }

        private void InitializeComponent()
        {
            this.SuspendLayout();
            // 
            // FlatTextBox
            // 
            this.BorderStyle = System.Windows.Forms.BorderStyle.None;
            //this.Multiline = true;
            this.Size = new System.Drawing.Size(100, 20);
            this.ResumeLayout(false);

        }
    }
}
